Authorize or Refresh Token

This method authorizes or refreshes the token depending on the body of the request.
For creating new token required parameters are: code, grant_type, redirect_uri, code_verifier and client_id

For refreshing existing token required parameters are: refresh_token, grant_type, client_id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Form Data

Request body for a consents request.

string
required

The client identifier issued to the client during the registration process

string

The client will send the authorization code it obtained in the redirect

enum
required

When creating new token grant_type must be 'authorization_code', for refresh token grant_type must be 'refresh_token'.

In case Decoupled Authorization value must be 'client_credentials'

Allowed:
string

code verifier

string

refresh_token parameter used when refreshing the token

string

The redirect URL that was used in the initial authorization request

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json